Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::abstract_texture_node Class Reference

Inheritance diagram for openvrml::vrml97_node::abstract_texture_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for VRML97 texture nodes.

## Public Member Functions

virtual | ~abstract_texture_node ()=0 throw ()
| Destroy.
virtual bool | repeat_s () const throw ()
| Get the repeatS flag.
virtual bool | repeat_t () const throw ()
| Get the repeatT flag.

## Protected Member Functions

| abstract_texture_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.

## Protected Attributes

sfbool | repeat_s_
| repeatS field.
sfbool | repeat_t_
| repeatT field.

## Constructor & Destructor Documentation

openvrml::vrml97_node::abstract_texture_node::~abstract_texture_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy.

openvrml::vrml97_node::abstract_texture_node::abstract_texture_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | `[protected]`

Construct.

Parameters:

  | type | the node_type for the node instance.
  | scope | the scope to which the node belongs.

## Member Function Documentation

bool openvrml::vrml97_node::abstract_texture_node::repeat_s | ( |  | ) | const throw ()`[virtual]`

Get the repeatS flag.

Returns:
  `true` if the texture should repeat in the S direction, `false` otherwise.

Implements openvrml::texture_node.

bool openvrml::vrml97_node::abstract_texture_node::repeat_t | ( |  | ) | const throw ()`[virtual]`

Get the repeatT flag.

Returns:
  `true` if the texture should repeat in the T direction, `false` otherwise.

Implements openvrml::texture_node.

## Member Data Documentation

sfbool openvrml::vrml97_node::abstract_texture_node::repeat_s_ `[protected]`

| repeatS field.

sfbool openvrml::vrml97_node::abstract_texture_node::repeat_t_ `[protected]`

| repeatT field.